QsciLexerTCL Class Reference

`#include <qscilexertcl.h>`

Inherits QsciLexer.

## Public Types

enum

{
Default = 0 , Comment = 1 , CommentLine = 2 ,
Number = 3 , QuotedKeyword = 4 , QuotedString = 5 ,
Operator = 6 , Identifier = 7 , Substitution = 8 ,
SubstitutionBrace = 9 , Modifier = 10 , ExpandKeyword = 11 ,
TCLKeyword = 12 , TkKeyword = 13 , ITCLKeyword = 14 ,
TkCommand = 15 , KeywordSet6 = 16 , KeywordSet7 = 17 ,
KeywordSet8 = 18 , KeywordSet9 = 19 , CommentBox = 20 ,
CommentBlock = 21
}

## Public Member Functions

| QsciLexerTCL (QObject *parent=0)
virtual | ~QsciLexerTCL ()
const char * | language () const
const char * | lexer () const
int | braceStyle () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
void | setFoldComments (bool fold)
bool | foldComments () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions

bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members

Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerTCL class encapsulates the Scintilla TCL lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the TCL lexer.

Enumerator
Default | The default.
Comment | A comment.
CommentLine | A comment line.
Number | A number.
QuotedKeyword | A quoted keyword.
QuotedString | A quoted string.
Operator | An operator.
Identifier | An identifier.
Substitution | A substitution.
SubstitutionBrace | A substitution starting with a brace.
Modifier | A modifier.
ExpandKeyword | Expand keyword (defined in keyword set number 5).
TCLKeyword | A TCL keyword (defined in keyword set number 1).
TkKeyword | A Tk keyword (defined in keyword set number 2).
ITCLKeyword | An iTCL keyword (defined in keyword set number 3).
TkCommand | A Tk command (defined in keyword set number 4).
KeywordSet6 | A keyword defined in keyword set number 6. The class must be sub-classed and re-implement keywords() to make use of this style.
KeywordSet7 | A keyword defined in keyword set number 7. The class must be sub-classed and re-implement keywords() to make use of this style.
KeywordSet8 | A keyword defined in keyword set number 8. The class must be sub-classed and re-implement keywords() to make use of this style.
KeywordSet9 | A keyword defined in keyword set number 9. The class must be sub-classed and re-implement keywords() to make use of this style.
CommentBox | A comment box.
CommentBlock | A comment block.

## Constructor & Destructor Documentation

## QsciLexerTCL()

QsciLexerTCL::QsciLexerTCL | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerTCL with parent parent. parent is typically the QsciScintilla instance.

Referenced by writeProperties().

## Member Function Documentation

## language()

const char * QsciLexerTCL::language | ( |  | ) | const

virtual

Returns the name of the language.

Implements QsciLexer.

## lexer()

const char * QsciLexerTCL::lexer | ( |  | ) | const

virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## braceStyle()

int QsciLexerTCL::braceStyle | ( |  | ) | const

virtual

Returns the style used for braces for brace matching.

Reimplemented from QsciLexer.

## defaultColor()

QColor QsciLexerTCL::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## defaultEolFill()

bool QsciLexerTCL::defaultEolFill | ( | int | style | ) | const

virtual

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

## defaultFont()

QFont QsciLexerTCL::defaultFont | ( | int | style | ) | const

virtual

Returns the font for style number style.

Reimplemented from QsciLexer.

## defaultPaper()

QColor QsciLexerTCL::defaultPaper | ( | int | style | ) | const

virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## keywords()

const char * QsciLexerTCL::keywords | ( | int | set | ) | const

virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## description()

QString QsciLexerTCL::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## refreshProperties()

void QsciLexerTCL::refreshProperties | ( |  | ) |

virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## setFoldComments()

void QsciLexerTCL::setFoldComments | ( | bool | fold | ) |

If fold is true then multi-line comment blocks can be folded. The default is false.

See also
  foldComments()

## foldComments()

bool QsciLexerTCL::foldComments | ( |  | ) | const

inline

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## readProperties()

bool QsciLexerTCL::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix )

protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## writeProperties()

bool QsciLexerTCL::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix ) const

protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

References QsciLexerTCL().